#
# spec file for package libzypp-testsuite-tools
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libzypp-testsuite-tools
Version:        5.0.5
Release:        1.18
License:        GPL-2.0-only
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Package, Patch, Pattern, and Product Management - testsuite-tools
Group:          System/Packages
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  cmake >= 3.1
BuildRequires:  gcc-c++ >= 7
BuildRequires:  libzypp-devel >= 17.25.3

%description
Package, Patch, Pattern, and Product Management - testsuite-tools

Authors:
--------
    Michael Andres <ma@suse.de>
    Jiri Srain <jsrain@suse.cz>
    Stefan Schubert <schubi@suse.de>
    Duncan Mac-Vicar <dmacvicar@suse.de>
    Klaus Kaempf <kkaempf@suse.de>
    Marius Tomaschewski <mt@suse.de>
    Stanislav Visnovsky <visnov@suse.cz>
    Ladislav Slezak <lslezak@suse.cz>

%prep
%setup -q

%build
mkdir -p build
cd build
CMAKE_FLAGS=
cmake $CMAKE_FLAGS \
      -DCMAKE_INSTALL_PREFIX=%{_prefix} \
      -DSYSCONFDIR=%{_sysconfdir} \
      -DMANDIR=%{_mandir} \
      -DCMAKE_VERBOSE_MAKEFILE=TRUE \
      -DCMAKE_C_FLAGS_RELEASE:STRING="$RPM_OPT_FLAGS" \
      -DCMAKE_CXX_FLAGS_RELEASE:STRING="$RPM_OPT_FLAGS" \
      -DCMAKE_BUILD_TYPE=Release \
      ..

%install
cd build
make install DESTDIR=$RPM_BUILD_ROOT
# legacy symlinks
ln -s deptestomatic $RPM_BUILD_ROOT/%{_prefix}/lib/zypp/testsuite/bin/deptestomatic.multi
ln -s deptestomatic $RPM_BUILD_ROOT/%{_prefix}/lib/zypp/testsuite/bin/deptestomatic.noui

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(0755,root,root)
%dir %{_prefix}/lib/zypp
%dir %{_prefix}/lib/zypp/testsuite/
%dir %{_prefix}/lib/zypp/testsuite/bin
%{_prefix}/lib/zypp/testsuite/bin/

%changelog
* Fri Jul 22 2022 ma@suse.com
- Fixes to build with libzypp newer than 17.31.0.
- version 5.0.5
* Wed Nov 10 2021 ma@suse.com
- Switch to using CMake
- CMake: use ZYPPCOMMON_CXX_STANDARD
- Support libzypps new yaml testcase format
- BuildRequires: libzypp-devel >= 17.25.3
- version 5.0.4
* Wed May 31 2017 ma@suse.com
- Fix unrecognized solver flags (bsc#1041889)
- version 5.0.3
* Thu Jul 30 2015 ma@suse.com
- Add requested locales and autoinstalled packages.
- version 5.0.2
* Tue Sep  9 2014 ma@suse.de
- Cleanup include files. Prepare code to allow further
  libzypp changes dues to (FATE#318099) without breaking.
- version 5.0.1
* Tue Sep  9 2014 ma@suse.de
- Drop graphical PkgUI and YOU commands as required libraries were
  dropped due to lack of QT5 support. The binary was renamed to
  deptestomatic. Legacy symlinks for deptestomatic.multi and
  deptestomatic.noui are provided.
- version 5.0.0
* Fri Aug  1 2014 ma@suse.de
- Also install deptestomatic.noui (bnc#889426)
- version 4.4.2
* Mon May 19 2014 ma@suse.de
- Add support for kind "application"
- version 4.4.1
* Wed Sep 18 2013 ma@suse.de
- Add support for hardware dependencies, multiversion packages.
- version 4.4.0
* Wed May  8 2013 ma@suse.de
- Remove deprecated installorder code
- version 4.3.2
* Wed Jan  9 2013 ma@suse.de
- Fix reporting of solver problems in distupgrade.
- version 4.3.1
* Mon Sep  3 2012 cfarrell@suse.com
- license update: GPL-2.0
  Contains files with GPL-2.0 (i.e. "only") licenses - see e.g.
  src/XmlNode.cc
* Wed Aug 29 2012 ma@suse.de
- Adapt to libyui changes
- As zypp is now using libsolv, drop the outdated and unmaintained
  testcase data package for the old solver.
- version 4.3.0
* Wed Nov 23 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Thu Oct 20 2011 ma@suse.de
- Fix %%changelog
* Mon Oct 17 2011 ma@suse.de
- use %%_prefix
* Tue Oct 11 2011 ma@suse.de
- Use gcc-c++ >= 4.5
* Wed Sep 14 2011 ma@suse.de
- Fix license in specfile (bnc#717717)
* Tue Sep 13 2011 ma@suse.de
- fix to build
* Wed Sep  9 2009 ma@suse.de
- Always print solver problems if solving failed.
- version 4.2.11
* Tue Aug  4 2009 ma@suse.de
- Parse and process <upgradeRepo name=REPOALIAS/>
- version 4.2.10
* Wed Jul  8 2009 ma@suse.de
- Remove references to deprecated UpgradeStatistics.
- version 4.2.9
* Mon Jun 22 2009 ma@suse.de
- Remove dependency to satsolver/repo_helix.h.
- version 4.2.8
* Tue Jun  9 2009 jkupec@suse.cz
- fixed changed keyring callbacks
- version 4.2.7
* Wed Jun  3 2009 ma@suse.de
- Add '--help' at least listing the tags and linking to the
  wiki page.
* Thu Nov 20 2008 gs@suse.de
- add test cases for UI testing (new directory UI-tests)
- deptestomatic.cc/load_source(): use pathname (instead of filename)
* Tue Nov  4 2008 dmacvicar@suse.de
- add showselectable tag to see selectables
* Wed Oct 15 2008 dmacvicar@suse.de
- fix build
* Wed Sep 10 2008 ma@suse.de
- adapted to new product handling
* Thu Sep  4 2008 jkupec@suse.cz
- adapted to zypp::RepoInfo setters change
* Tue Sep  2 2008 schubi@suse.de
- compiler fixes
- replace ResTraits<>::kind by ResKind
- version 4.2.6
* Fri Jul 18 2008 schubi@suse.de
- removed scripts,atoms,... from deptestomatic
* Tue Jun 17 2008 schubi@suse.de
- Added new commands: YOU", "PkgUI" for package UI
* Fri May 23 2008 schubi@suse.de
- Added grfical interface again
* Fri Apr 25 2008 coolo@suse.de
- new call resolveQueue added
* Fri Apr 11 2008 coolo@suse.de
- adapt to new libzypp
* Sat Apr  5 2008 matz@suse.de
- Fix testcases with URLs as sources
* Thu Apr  3 2008 coolo@suse.de
- adapt to new libzypp
* Mon Mar 24 2008 coolo@suse.de
- adapt to new libzypp
* Tue Mar  4 2008 coolo@suse.de
- reducing build requires
* Mon Mar  3 2008 schubi@suse.de
- adapt to latest libzypp API
* Fri Feb 29 2008 coolo@suse.de
- fix file list
* Tue Feb 26 2008 schubi@suse.de
- using SAT helix parser
- disables pokus (bindings does not work currently)
* Thu Dec  6 2007 aschnell@suse.de
- adapted to changes in libzypp bindings
* Thu Oct  4 2007 schubi@suse.de
- other valid solutions.
- added vendor to patterns, patches,....
* Thu Sep 27 2007 schubi@suse.de
- added graphical interface to deptestomatic
* Mon Sep 17 2007 aschnell@suse.de
- adapted to changes in libzypp-bindings
- added new testcases
* Thu Sep 13 2007 aschnell@suse.de
- added tests for shared tag
* Thu Aug 30 2007 aschnell@suse.de
- adopted to new exception logging
* Wed Aug 29 2007 aschnell@suse.de
- added more tests
- sign repositories
* Mon Aug 27 2007 schubi@suse.de
- Disabled make check for solver
* Tue Aug 21 2007 schubi@suse.de
- Bugfix for 64 bit architecture
* Mon Aug 20 2007 aschnell@suse.de
- added another testsuite
* Mon Aug 13 2007 schubi@suse.de
- changes due new regex class
- rev 6624
- ver 3.14.9
* Wed Aug  8 2007 schubi@suse.de
- Added vendor to helixparser
- Added new testcases
- reduced logging in solver
- rev 6524
- ver 3.14.8
* Mon Jul 30 2007 schubi@suse.de
- solvertree added (graphic interface)
- Not using pool for retrieving additional dependencies which has to be
  regarded by the solver.
- r 6400
- ver 3.14.7
* Wed Jul 25 2007 schubi@suse.de
- new repo handling of libzypp included
- rev 6197
- ver 3.14.6
* Fri Jul  6 2007 schubi@suse.de
- enable "make check" for ix68 and ia64 in autobuild
- rev 5923
- ver 3.14.5
* Wed Jun 20 2007 schubi@suse.de
- added includes for gcc42
* Tue Jun 12 2007 schubi@suse.de
- cleanup; moved bineries to /opt/zypp/testsuite/bin
* Thu Apr  5 2007 schubi@suse.de
- initial; testsuite package has been extracted from libzypp package
